/* ****************************** ERROROUT.C ****************************** */
#include "cctypes.h"

extern int lNumber;
extern int lineNumber;
extern int WarningsInThisFile;
extern int ErrorsInThisFile;
extern int comType;
extern int warningFound;

void Error(n)
int n;
{
	if ( lNumber != lineNumber ) {
		lNumber = lineNumber;
		if ( !WarningsInThisFile && !ErrorsInThisFile )
			printf("\n");
		printf("*** error(s) on line %d ***\n", lNumber);
	}
	printf("    %s %s\n",CommandTypes[comType],ErrorTypes[n]);
	ErrorsInThisFile++;
}

void Warning(n)
int n;
{
	if ( lNumber != lineNumber ) {
		lNumber = lineNumber;
		if ( !WarningsInThisFile && !ErrorsInThisFile )
			printf("\n");
		printf("*** warning(s) on line %d ***\n", lNumber);
	}
	warningFound = 1;
	WarningsInThisFile++;
	printf("    %s %s\n",CommandTypes[comType],ErrorTypes[n]);
}

